
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "PerlGtkExt.h"
#include "PerlGnomeBonoboInt.h"

#include "GnomeBonoboDefs.h"

#define CHECK_EXCEPTION(ev)                   \
   if (ev._major != CORBA_NO_EXCEPTION) {     \
      SV *__sv = porbit_builtin_except (&ev); \
      porbit_throw (__sv);                    \
   }

MODULE = Gnome::Bonobo		PACKAGE = Gnome::Bonobo		PREFIX = bonobo_

gboolean
bonobo_init(orb, poa, manager)
	CORBA::ORB	orb
	PortableServer::POA	poa
	PortableServer::POAManager	manager

void
bonobo_main(Class)
	SV *	Class
	CODE:
	bonobo_main();

gboolean
bonobo_activate(Class)
	SV *	Class
	CODE:
	RETVAL = bonobo_activate();
	OUTPUT:
	RETVAL

void
bonobo_setup_x_error_handler(Class)
	SV *	Class
	CODE:
	bonobo_setup_x_error_handler();

CORBA::ORB
bonobo_orb(Class)
	SV *	Class
	CODE:
	RETVAL = bonobo_orb();
	OUTPUT:
	RETVAL

PortableServer::POA
bonobo_poa(Class)
	SV *	Class
	CODE:
	RETVAL = bonobo_poa();
	OUTPUT:
	RETVAL

PortableServer::POAManager
bonobo_poa_manager(Class)
	SV *	Class
	CODE:
	RETVAL = bonobo_poa_manager();
	OUTPUT:
	RETVAL


MODULE = Gnome::Bonobo		PACKAGE = Gnome		PREFIX = gnome_

CORBA::ORB
gnorba_CORBA_init(app_id, app_version)
	char * app_id
	char * app_version
	CODE:
	{
		CORBA_Environment ev;
		
		CORBA_exception_init (&ev);
		/* FIXME: handle @ARGV */
		gnorba_CORBA_init(app_id, app_version, 0, &ev);
		CHECK_EXCEPTION(ev);
	}
