
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "PerlGtkExt.h"
#include "PerlGnomeBonoboInt.h"

#include "GnomeBonoboDefs.h"

MODULE = Gnome::Moniker		PACKAGE = Gnome::Moniker		PREFIX = gnome_moniker_

#ifdef GNOME_MONIKER

Gnome::Moniker
gnome_moniker_new (Class)
	SV *	Class
	CODE:
	RETVAL = GNOME_MONIKER(gnome_moniker_new());
	OUTPUT:
	RETVAL

void
gnome_moniker_set_server(moniker, goad_id, filename)
	Gnome::Moniker	moniker
	char *	goad_id
	char *	filename

void
gnome_moniker_append_item_name (moniker, item_name)
	Gnome::Moniker	moniker
	char *	item_name

char*
gnome_moniker_get_as_string (moniker)
	Gnome::Moniker	moniker

# in: gnome-moniker-client.h

CORBA::Object
gnome_moniker_find_in_naming_service (Class, name, goad_id)
	SV *	Class
	char *	name
	char *	goad_id
	CODE:
	RETVAL = gnome_moniker_find_in_naming_service(name, goad_id);
	OUTPUT:
	RETVAL

void
gnome_moniker_register (moniker, name, goad_id)
	Gnome::Moniker	moniker
	char *	name
	char *	goad_id

void
gnome_moniker_unregister (moniker)
	Gnome::Moniker	moniker

#endif

