
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "PerlGtkExt.h"
#include "PerlGnomeBonoboInt.h"

#include "GnomeBonoboDefs.h"

MODULE = Gnome::ViewFrame		PACKAGE = Gnome::ViewFrame		PREFIX = gnome_view_frame_

#ifdef GNOME_VIEW_FRAME

Gnome::ViewFrame_Sink
new(Class, client_site)
	SV *	Class
	Gnome::ClientSite	client_site
	CODE:
	RETVAL = GNOME_VIEW_FRAME(gnome_view_frame_new(client_site));
	OUTPUT:
	RETVAL

void
gnome_view_frame_bind_to_view (view_frame, view)
	Gnome::ViewFrame	view_frame
	CORBA::Object	view

CORBA::Object
gnome_view_frame_get_view (view_frame)
	Gnome::ViewFrame	view_frame

void
gnome_view_frame_set_ui_handler (view_frame, uih)
	Gnome::ViewFrame	view_frame
	Gnome::UIHandler	uih

Gnome::UIHandler
gnome_view_frame_get_ui_handler (view_frame)
	Gnome::ViewFrame	view_frame

Gnome::ClientSite
gnome_view_frame_get_client_site (view_frame)
	Gnome::ViewFrame	view_frame

Gtk::Widget_Up
gnome_view_frame_get_wrapper (view_frame)
	Gnome::ViewFrame	view_frame

char *
gnome_view_frame_popup_verbs (view_frame)
	Gnome::ViewFrame	view_frame

void
gnome_view_frame_set_covered (view_frame, covered)
	Gnome::ViewFrame	view_frame
	gboolean	covered

void
gnome_view_frame_view_activate (view_frame)
	Gnome::ViewFrame	view_frame

void
gnome_view_frame_view_deactivate (view_frame)
	Gnome::ViewFrame	view_frame

void
gnome_view_frame_size_request (view_frame)
	Gnome::ViewFrame	view_frame
	PPCODE:
	{
		int width, height;
		gnome_view_frame_size_request(view_frame, &width, &height);
		XPUSHs(sv_2mortal(newSViv(width)));
		XPUSHs(sv_2mortal(newSViv(height)));
	}

void
gnome_view_frame_view_do_verb (view_frame, verb_name)
	Gnome::ViewFrame	view_frame
	char *	verb_name

void
gnome_view_frame_set_zoom_factor (view_frame, zoom)
	Gnome::ViewFrame	view_frame
	double	zoom

#endif

